# $Revision: 1.55.2.2 $, $Date: 2007/03/18 15:41:51 $
#
# Conditional build:
%bcond_without	pth	# without pth-based based version of gnupg
%bcond_without	tests	# testsuite on build
#
Summary:	GNU Privacy Guard - tool for secure communication and data storage - development version
Summary(pl):	GnuPG - narzdzie do bezpiecznej komunikacji i bezpiecznego przechowywania danych - wersja rozwojowa
Name:		gnupg2
Version:	2.0.3
Release:	2
License:	GPL
Group:		Applications/File
Source0:	ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-%{version}.tar.bz2
# Source0-md5:	4e33a5d35583da439f1bd26aa7e7042a
Source1:	gnupg-agent.sh
Patch0:		%{name}-info.patch
Patch1:		%{name}-pth.patch
Patch2:		%{name}-pl.po-update.patch
Patch3:		%{name}-disable_tests.patch
URL:		http://www.gnupg.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9.3
BuildRequires:	bzip2-devel
BuildRequires:	curl-devel
BuildRequires:	gettext-devel >= 0.15
BuildRequires:	libassuan-devel >= 1:0.9.3
BuildRequires:	libgcrypt-devel >= 1.2.0
BuildRequires:	libgpg-error-devel >= 1.4
BuildRequires:	libksba-devel >= 1.0.0
BuildRequires:	libusb-devel
BuildRequires:	openldap-devel
BuildRequires:	pcsc-lite-devel
%{?with_pth:BuildRequires:	pth-devel >= 2.0.0}
BuildRequires:	rpmbuild(macros) >= 1.177
BuildRequires:	texinfo
BuildRequires:	zlib-devel
Requires:	gnupg2-common = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/gnupg2

%description
GnuPG is GNU's tool for secure communication and data storage. It can
be used to encrypt data and to create digital signatures. It includes
an advanced key management facility and is compliant with the proposed
OpenPGP Internet standard as described in RFC2440.

This is development version. Don't use it with production keys.

%description -l pl
GnuPG (GNU Privacy Guard) jest narzdziem do bezpiecznej komunikacji i
bezpiecznego przechowywania danych. Moe by uywany do szyfrowania
oraz podpisywania danych. Umoliwia zaawansowane zarzdzanie kluczami
i spenia normy zdefiniowane w standardzie OpenPGP, ktry jest opisany
w RFC2440.

Wersja rozwojowa. Nie do uytku z kluczami produkcyjnymi.

%package common
Summary:	GnuPG - common files
Summary(pl):	GnuPG - pliki wsplne
Group:		Applications/File
Requires:	libassuan >= 1:0.9.3
Requires:	libgpg-error >= 1.4
Conflicts:	gnupg-agent < 1.9.14-2

%description common
Common files used by tools from GnuPG project.

%description common -l pl
Pliki wsplne uywane przez rne narzdzia z projektu GnuPG.

%package plugin-keys_curl
Summary:	GnuPG 2 plugin for allow talk to a HTTP/FTP keyserver
Summary(pl):	Wtyczka GnuPG 2 pozwalajca komunikowa si z serwerem kluczy HTTP/FTP
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}

%description plugin-keys_curl
GnuPG 2 plugin for allow talk to a HTTP(S)/FTP(S) keyserver.

%description plugin-keys_curl -l pl
Wtyczka GnuPG 2 pozwalajca komunikowa si z serwerem kluczy
HTTP(S)/FTP(S).

%package plugin-keys_finger
Summary:	GnuPG 2 plugin for allow talk to a FINGER keyserver
Summary(pl):	Wtyczka GnuPG 2 pozwalajca komunikowa si z serwerem kluczy FINGER
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}

%description plugin-keys_finger
GnuPG 2 plugin for allow talk to a FINGER keyserver.

%description plugin-keys_finger -l pl
Wtyczka 2 GnuPG pozwalajca komunikowa si z serwerem kluczy FINGER.

%package plugin-keys_hkp
Summary:	GnuPG 2 plugin for allow talk to a HKP keyserver
Summary(pl):	Wtyczka GnuPG 2 pozwalajca komunikowa si z serwerem kluczy HKP
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}

%description plugin-keys_hkp
GnuPG 2 plugin for allow talk to a HKP keyserver.

%description plugin-keys_hkp -l pl
Wtyczka GnuPG 2 pozwalajca komunikowa si z serwerem kluczy HKP.

%package plugin-keys_ldap
Summary:	GnuPG 2 plugin for allow talk to a LDAP keyserver
Summary(pl):	Wtyczka GnuPG 2 pozwalajca komunikowa si z serwerem kluczy LDAP
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}

%description plugin-keys_ldap
GnuPG 2 plugin for allow talk to a LDAP keyserver.

%description plugin-keys_ldap -l pl
Wtyczka GnuPG 2 pozwalajca komunikowa si z serwerem kluczy LDAP.

%package -n gnupg-agent
Summary:	GnuPG extension - agent
Summary(pl):	Rozszerzenie GnuPG - agent
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}
Requires:	pinentry
Obsoletes:	newpg

%description -n gnupg-agent
GnuPG extension - agent.

%description -n gnupg-agent -l pl
Rozszerzenie GnuPG - agent.

%package -n gnupg-agent-profile_d
Summary:	gnupg-agent start script for text mode
Summary(pl):	Skrypt startowy gnupg-agenta dla trybu tekstowego
Group:		Applications/File
Requires:	gnupg-agent = %{version}-%{release}

%description -n gnupg-agent-profile_d
gnupg-agent start script for text mode.

%description -n gnupg-agent-profile_d -l pl
Skrypt startowy gnupg-agenta dla trybu tekstowego.

%package -n gnupg-agent-xinitrc
Summary:	gnupg-agent start script for X-Window mode
Summary(pl):	Skrypt startowy gnupg-agenta dla trybu X-Window
Group:		Applications/File
Requires:	gnupg-agent = %{version}-%{release}
Requires:	xinitrc

%description -n gnupg-agent-xinitrc
gnupg-agent start script for X-Window mode.

%description -n gnupg-agent-xinitrc -l pl
Skrypt startowy gnupg-agenta dla trybu X-Window.

%package -n gnupg-smime
Summary:	GnuPG extension - S/MIME support
Summary(pl):	Rozszerzenie GnuPG - obsuga S/MIME
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}
Conflicts:	gnupg-agent < 1.9.14-2

%description -n gnupg-smime
GnuPG extension - S/MIME support.

%description -n gnupg-smime -l pl
Rozszerzenie GnuPG - obsuga S/MIME.

%prep
%setup -q -n gnupg-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%{!?with_tests:%patch3 -p1}

rm -f po/stamp-po

%build
%{__gettextize}
%{__aclocal} -I m4 -I gl/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_pth:--disable-threads} \
	--enable-gpg \
	--enable-symcryptrun \
	--with-capabilities \
	--with-mailprog=/usr/lib/sendmail

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkglibdir=%{_libexecdir}

install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/profile.d/gnupg-agent.sh
install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d/gnupg-agent.sh

mv ChangeLog main-ChangeLog || :
find . -name ChangeLog |awk '{src=$0; dst=$0;sub("^./","",dst);gsub("/","-",dst); print "cp " src " " dst}'|sh

%find_lang gnupg2
rm -f $RPM_BUILD_ROOT%{_datadir}/info/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%triggerpostun -n gnupg-agent -- gnupg-agent < 1.9.16-2
%banner gnupg-agent-1.9.16-2 << EOF
Scripts for starting gnupg-agent have been moved to separate
subpackages: gnupg-agent-profile_d and gnupg-agent-xinitrc.
EOF

%files
%defattr(644,root,root,755)
%doc g10-ChangeLog g10/options.skel
%attr(755,root,root) %{_bindir}/gpg2
%attr(755,root,root) %{_bindir}/gpgv2
%{_mandir}/man1/gpg2.1*
%{_mandir}/man1/gpgv2.1*

%files common -f gnupg2.lang
%defattr(644,root,root,755)
%doc AUTHORS main-ChangeLog NEWS README THANKS TODO
%doc intl-ChangeLog jnlib-ChangeLog m4-ChangeLog po-ChangeLog scripts-ChangeLog common-ChangeLog kbx-ChangeLog tools-ChangeLog doc-ChangeLog
%attr(755,root,root) %{_bindir}/gpg-connect-agent
%attr(755,root,root) %{_bindir}/gpgconf
%attr(755,root,root) %{_bindir}/gpgkey2ssh
%attr(755,root,root) %{_bindir}/gpgparsemail
%attr(755,root,root) %{_bindir}/kbxutil
%attr(755,root,root) %{_bindir}/watchgnupg
%attr(755,root,root) %{_sbindir}/addgnupghome
%attr(755,root,root) %{_sbindir}/applygnupgdefaults
%dir %{_libexecdir}
%{_datadir}/gnupg
%{_mandir}/man1/gpg-connect-agent.1*
%{_mandir}/man1/gpgconf.1*
%{_mandir}/man1/gpgparsemail.1*
%{_mandir}/man1/watchgnupg.1*
%{_mandir}/man8/addgnupghome.8*
%{_mandir}/man8/applygnupgdefaults.8*
%{_infodir}/*.info*

%files plugin-keys_curl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/gpg2keys_curl

%files plugin-keys_finger
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/gpg2keys_finger

%files plugin-keys_hkp
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/gpg2keys_hkp

%files plugin-keys_ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/gpg2keys_ldap

%files -n gnupg-smime
%defattr(644,root,root,755)
%doc sm-ChangeLog
%attr(755,root,root) %{_bindir}/gpgsm
%attr(755,root,root) %{_bindir}/gpgsm-gencert.sh
%{_mandir}/man1/gpgsm.1*
%{_mandir}/man1/gpgsm-gencert.sh.1*

%files -n gnupg-agent
%defattr(644,root,root,755)
%doc agent-ChangeLog scd-ChangeLog
%attr(755,root,root) %{_bindir}/gpg-agent
%attr(755,root,root) %{_bindir}/scdaemon
%attr(755,root,root) %{_bindir}/symcryptrun
%attr(755,root,root) %{_libexecdir}/gnupg-pcsc-wrapper
%attr(755,root,root) %{_libexecdir}/gpg-protect-tool
%attr(755,root,root) %{_libexecdir}/gpg-preset-passphrase
%{_mandir}/man1/gpg-agent.1*
%{_mandir}/man1/gpg-preset-passphrase.1*
%{_mandir}/man1/scdaemon.1*
%{_mandir}/man1/symcryptrun.1*

%files -n gnupg-agent-profile_d
%defattr(644,root,root,755)
%attr(755,root,root) /etc/profile.d/gnupg-agent.sh

%files -n gnupg-agent-xinitrc
%defattr(644,root,root,755)
%attr(755,root,root) /etc/X11/xinit/xinitrc.d/gnupg-agent.sh

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnupg2.spec,v $
Revision 1.55.2.2  2007/03/18 15:41:51  glen
- rel 2 (curl)

Revision 1.55.2.1  2007/03/16 22:27:44  glen
- 2.0.3

Revision 1.55  2007/02/03 12:13:27  qboosh
- added pl.po-update patch

Revision 1.54  2007/02/01 11:29:03  qboosh
- separated plugins

Revision 1.53  2007/02/01 11:18:03  qboosh
- updated to 2.0.2 (fixes CVE-2006-6235)

Revision 1.52  2006/12/11 22:01:45  pluto
- release 0.2, rebuild with new curl.

Revision 1.51  2006/11/30 21:34:47  qboosh
- added CVE reference

Revision 1.50  2006/11/28 19:21:46  qboosh
- up to 2.0.1, removed obsolete ac patch
[fixes CVE-2006-6169]

Revision 1.49  2006/11/13 19:28:26  qboosh
- up to 2.0.0; release 0.1 (see todo)

Revision 1.48  2006/10/30 00:41:16  qboosh
- updated to 1.9.94
- added ac patch; full ac/am/gt regeneration instead of partial, broken one

Revision 1.47  2006/10/23 16:20:01  qboosh
- updated to 1.9.93

Revision 1.46  2006/10/13 08:29:24  qboosh
- updated to 1.9.92

Revision 1.45  2006/10/07 16:14:50  pluto
- argh, now tests are disabled.

Revision 1.44  2006/10/07 10:17:17  pluto
- bcond_with_tests added dueto x86-64 failures, release 2.

Revision 1.43  2006/10/04 19:14:38  qboosh
- updated to 1.9.91

Revision 1.42  2006/08/16 09:16:17  qboosh
- updated to 1.9.22, compatible with gcc 3.x again

Revision 1.41  2006/06/22 08:30:53  qboosh
- updated to 1.9.21 (gcc 4 is assumed now)

Revision 1.40  2006/06/16 22:38:22  megabajt
- missing dir
- rel 2

Revision 1.39  2006/05/22 13:33:06  glen
- check-files cleanup

Revision 1.38  2006/01/21 00:01:16  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.37  2005/12/28 11:06:03  qboosh
- updated to 1.9.20

Revision 1.36  2005/10/06 21:13:33  qboosh
- updated to 1.9.19

Revision 1.35  2005/08/15 11:39:55  qboosh
- updated to 0.9.18, removed obsolete build patch

Revision 1.34  2005/07/11 11:45:45  radek
- BR: libassuan-devel >= 1:0.6.10 (Arkadiusz Chomicki)

Revision 1.33  2005/06/23 22:00:55  qboosh
- updated to 1.9.17, added build patch

Revision 1.32  2005/06/07 18:31:56  twittner
- gnupg-agent start scripts for console and X-Window mode has been released
  in separate subpackages: gnupg-agent-profile_d and gnupg-agent-xinitrc
  (bugs #5648), appropriate info about it is passed on to user via trigger
  & banner macros.
- rel. 2

Revision 1.31  2005/04/23 16:53:10  qboosh
- updated to 1.9.16, added pth patch (build fix)

Revision 1.30  2005/04/20 10:19:44  pluto
- P:, O:, symlink reverted.

Revision 1.29  2005/04/19 14:03:22  glen
- %attr for symlink is useless

Revision 1.28  2005/04/19 13:16:49  pluto
- gpg2->gpg compat symlink for kmail.

Revision 1.27  2005/04/19 13:00:03  pluto
- P:, O: gnupg for easy upgrade and satisfy gpgme reqs.

Revision 1.26  2005/04/19 12:49:32  pluto
- BR(pth) fixed.

Revision 1.25  2005/01/22 09:34:51  qboosh
- updated to 1.9.15

Revision 1.24  2005/01/03 08:29:06  ankry
- ^%#%0%$ kill unsupported utf

Revision 1.23  2004/12/31 12:10:55  wiget
- rename to gnupg2.spec
- package all tools
- S/MIME tools moved to gnupg-smime
- separated common files to gnupg2-common
- release 2
Now you can install gnupg 1.4.x and gnupg 1.9.x together

Revision 1.22  2004/12/31 09:37:19  wiget
- updated to 1.9.14

Revision 1.21  2004/12/03 23:01:34  qboosh
- updated to 1.9.13 (minor cleanups)

Revision 1.20  2004/10/26 21:57:49  qboosh
- updated to 1.9.12, removed obsolete max_cache_ttl patch

Revision 1.19  2004/10/19 00:01:42  arekm
- updated to 1.9.11; added missing binaries (gpgconf, watchgnupg, addgnupghome)

Revision 1.18  2004/09/12 05:13:57  twittner
- added -max_cache_ttl.patch (bconded with max_cache_ttl for tests) which
  introduced max-cache-ttl option (instead of 1h hardwired limit) - see:
  http://marc.theaimsgroup.com/?l=gnupg-devel&m=109300087831144&w=2
- patch is not taken directly - contain maintainer modifications.

Revision 1.17  2004/09/04 09:57:57  twittner
- s|/etc/profile.d/GPG_AGENT_INFO|/etc/profile.d/gnupg-agent.sh|
  back to sane name
- rel. 3

Revision 1.16  2004/08/26 09:50:58  radek
- %doc agent/ChangeLog

Revision 1.15  2004/08/09 18:50:49  arekm
- rel 2 (fixed gnupg-agent.sh)

Revision 1.14  2004/08/06 17:52:17  qboosh
- restored changelog after "revert"

Revision 1.13  2004/08/06 00:19:51  arekm
- revert

Revision 1.12  2004/08/04 19:16:01  arekm
- moved gnupg-agent.sh from profile.d to env.d

Revision 1.11  2004/07/29 13:12:42  twittner
- removed BR: gdbm-devel (seems no longer needed)
- fixed insane name: gnupg-agent-agent.sh -> gnupg-agent.sh
- added bcond_without xinitrc and cond. R: xinitrc to avoid
  orphaned directories

Revision 1.10  2004/07/24 12:03:04  twittner
- removed asteriskes from previous changelog entry (it seems they have special
  meaning for rpm).

Revision 1.9  2004/07/24 11:56:57  twittner
- some BRs updated - configure said:
 You need libassuan to build this program.
 (at least version 0.6.6 is required).
 You need libksba to build this program.
 (at least version 0.9.7 is required).

Revision 1.8  2004/07/24 00:13:32  qboosh
- updated to 1.9.10, removed obsolete typo fix

Revision 1.7  2004/06/22 05:43:13  qboosh
- updated to 1.9.9

Revision 1.6  2004/05/23 09:43:37  qboosh
- updated to 1.9.8

Revision 1.5  2004/04/22 21:11:43  qboosh
- updated to 1.9.7

Revision 1.4  2004/03/22 07:01:25  ankry
- cosmetics

Revision 1.3  2004/03/21 19:36:12  arekm
- fix amd64

Revision 1.2  2004/03/21 19:30:02  arekm
- fix amd64

Revision 1.1  2004/03/21 19:21:28  arekm
- new, for AC
